LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
XRename Interface Referencepublished

supports the renaming of definition objects. More...

`import"XRename.idl";`

Inheritance diagram for XRename:

## Public Member Functions
void | rename ([in]string newName) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| is intended to alter the name of a object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

supports the renaming of definition objects.

This is a very desirable feature which is not supported by all databases. There is no standard SQL statement provided for this feature.

## Member Function Documentation

## ◆ rename()

void rename | ( | [in] string | newName | ) |
raises | ( | com::sun::star::sdbc::SQLException,
|  | com::sun::star::container::ElementExistException
| ) |  |

is intended to alter the name of a object.

Parameters

  newName | the new name

Exceptions

  com::sun::star::sdbc::SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbcx/XRename.idl